\name{NAO}
\alias{NAO}
\title{
Compute the North Atlantic Oscillation (NAO) Index
}
\description{
Compute the North Atlantic Oscillation (NAO) index based on
the leading EOF of sea level pressure (SLP) anomalies. The
PCs are obtained by projecting the forecast and observed
anomalies onto the observed EOF pattern (Pobs) or the
forecast anomalies onto the EOF pattern of the other years
of the forecast (Pmod).  By default (fcavt=2:4) CFU_NAO()
computes the NAO index for 1-month lead seasonal forecasts
that can be plotted with CFU_boxplot().  Description:
Returns cross-validated PCs of the NAO index for forecast
(ano_exp) and observations (ano_obs) based on the leading EOF
pattern.
}
\usage{
Mean1Dim(var, posdim, narm = TRUE, limits = NULL)
}
\arguments{
  \item{var}{
Matrix to average.
  }
  \item{posdim}{
Dimension to average along.
  }
  \item{narm}{
Ignore NA (TRUE) values or not (FALSE).
  }
  \item{limits}{
Limits to average between.
  }
}
\value{
Matrix with one dimension less than the input one containing the average along posdim dimension.
}
\examples{
a <- array(rnorm(24), dim = c(2, 3, 4))
print(a)
print(Mean1Dim(a, 2))
}
\author{
History:\cr
0.1  -  2011-04  (V. Guemas, \email{virginie.guemas at ic3.cat})  -  Original code\cr
1.0  -  2013-09  (N. Manubens, \email{nicolau.manubens at ic3.cat})  -  Formatting to R CRAN
}
\keyword{datagen}
